No shortcut to OpenOffice::Draw

Bug #75478 reported by Stephen Martindale on 2006-12-12
40
Affects Status Importance Assigned to Milestone
openoffice.org (Ubuntu)
Wishlist
Unassigned

Bug Description

There's no shortcut to OOo::Draw in the Gnome "Applications" menu, under "Office". In the menu editor, theres no unchecked box to allow easy addition of the shortcut - you've got to add a new shortcut manually, with the correct command line.

To reproduce, just look in the menu editor under "Office".

Ubuntu aims to be useful to ordinary people, not just geeks like me. It also aims to provide useful stuff right out the box - it includes OOo::Draw by default. Why, then, is there no shortcut for it?

Somewhere out there, some newbie is fighting with a clunky alternative (Publisher) because he did not know that Draw existed. (See bug #1)

Please add this shortcut to future releases!

Richard Johnson (nixternal) wrote :

I can confirm that OO.o Draw is not in the Kubuntu KMenu as well.

Matthew East (mdke) wrote :

This is quite a bad usability bug for those who use this program, adjusting Importance accordingly. It has annoyed me too - a normal user won't really know the program exists. It should probably be in the Graphics menu.

Changed in openoffice.org:
importance: Wishlist → Medium
Jonh Wendell (wendell) wrote :

Okay, in feisty it is under Graphics menu, but it's still hidden. You have to go to System->Preferences->Main Menu and enable it.

We can see at /usr/share/applications/ooo-draw.desktop:
NoDisplay=true

Is there any reason for that?

Richard Laager (rlaager) wrote :

I'd venture, "no". It seems like a trivial thing to fix. ;)

Matthias Klose (doko) wrote :

see https://wiki.ubuntu.com/MenusRevisited

it was decided to only show often used applications in the menu by default. If you want to change that, a new/updated spec should be written and discussed.

Changed in openoffice.org:
importance: Medium → Wishlist
Matthew East (mdke) wrote :

Matthias - that's not exactly the correct understanding of that spec. The decision in the spec is not to hide little used applications in the menu, but to hide applications which (a) duplicate the functionality of another application, (b) are normally accessed commonly from within another application (for example the document viewer, always accessed from nautilus), or (c) which are confusing.

Draw has none of those characteristics. Although it is possible to access it from inside another Openoffice.org program, this is not the most intuitive way of doing it. Users will not be aware of its existence unless it is included in the menu, and often one wants to use it *without* using one of the other Openoffice.org applications.

It's a similar case to Xsane Image Scanner, which *can* by accessed from within the GIMP, but is included in the menu because the application has a separate purpose and it's not intuitive to expect users to access it from within another program in those circumstances.

Also, note that the individual menu items affected by that spec are all set out on that page. Draw does not appear among them.

Matthias Klose (doko) wrote :

this was a decision made by Jane or Matt (don't remember the details anymore), now subscribed to this report. Same thing for the OOo Math menu entry.

Matthew East (mdke) wrote :

Ok, thanks for subscribing them, we'll see what they say. I hope that the decision can be reconsidered (as indeed it was for Xsane!).

Jane Silber (silbs) wrote :

Inkscape was chosen as the default vector drawing program (and I believe has been that way from the first release of Ubuntu). The Open Office Draw menu was removed because it duplicated functionality from Inkscape (which is the program most people would use when invoking the drawing program directly). When Inkscape was chosen, it was more full featured and more well known - I don't know if that has changed now. As mentioned above, it is certainly possible to add Open Office Draw to the menu from the menu editor for those people who prefer it as their main vector drawing program.

The OpenOffice Math entry was removed on the belief that very few people (if any) invoked it directly - people who used it would like do so from within an Open Office document or presentation and its presence in the menu was unnecessary.

On Thu, Apr 12, 2007 at 09:34:25AM -0000, Jane Silber wrote:
> Inkscape was chosen as the default vector drawing program (and I believe
> has been that way from the first release of Ubuntu). The Open Office
> Draw menu was removed because it duplicated functionality from Inkscape
> (which is the program most people would use when invoking the drawing
> program directly). When Inkscape was chosen, it was more full featured
> and more well known - I don't know if that has changed now. As mentioned
> above, it is certainly possible to add Open Office Draw to the menu from
> the menu editor for those people who prefer it as their main vector
> drawing program.
>
> The OpenOffice Math entry was removed on the belief that very few people
> (if any) invoked it directly - people who used it would like do so from
> within an Open Office document or presentation and its presence in the
> menu was unnecessary.

That matches my recollection as well.

--
 - mdz

Matthias Klose (doko) wrote :

Jane Silber schrieb:
> Inkscape was chosen as the default vector drawing program (and I believe
> has been that way from the first release of Ubuntu).

hmm, but Inkscape isn't shipped either?

> The Open Office
> Draw menu was removed because it duplicated functionality from Inkscape
> (which is the program most people would use when invoking the drawing
> program directly). When Inkscape was chosen, it was more full featured
> and more well known - I don't know if that has changed now. As mentioned
> above, it is certainly possible to add Open Office Draw to the menu from
> the menu editor for those people who prefer it as their main vector
> drawing program.

Internally ooimpress depends on oodraw, so you have to install oodraw to be able
to use ooimpress. Just splitting out the oodraw code into its own package
oodraw-code and keeping the menu item in oodraw would be a less confusing solution.

IMO handling of menu items can be improved in general, I added "Menu Items
Revisited" the the UDS agenda.

SK (skiani) wrote :

I can say that we are using OOoDraw extensively for very complex multi sheet block diagrams for design of million dollar gene sequencing equipment. We depend on OOoDraw's ability to do layers, styles, and flow chart interconnects for this. Inkscape is much more of a vector paint program and has somewhat non-standard interface. What would be nice is if OOoDraw could gain a few of the Inkscape fancy capability and a few improvements to interconnect line production then it would really be feature complete.

Matthias Klose (doko) wrote :

SK schrieb:
> I can say that we are using OOoDraw extensively for very complex multi
> sheet block diagrams for design of million dollar gene sequencing
> equipment. We depend on OOoDraw's ability to do layers, styles, and flow
> chart interconnects for this. Inkscape is much more of a vector paint
> program and has somewhat non-standard interface. What would be nice is
> if OOoDraw could gain a few of the Inkscape fancy capability and a few
> improvements to interconnect line production then it would really be
> feature complete.

this is an enhancement request separate from the bug report. please could you
file that directly to upstream (www.openoffice.org)?

Matt Zimmerman (mdz) wrote :

If OpenOffice.org Draw is in active use as an application in its own right, it should have a menu entry. Please restore it.

(this change is fine to roll into an openoffice.org update for feisty if we need to do one for other reasons)

Matthew East (mdke) wrote :

Thanks for this Matt.

Siegfried Gevatter (rainct) wrote :

Should I work on a debdiff for Gutsy?

Matthias Klose (doko) wrote :

openoffice.org (2.2.0-1ubuntu4) feisty-security; urgency=low

  * ooo-build/patches/src680/sw.rtf.prtdata.diff: fix RTF parser heap
    overflow (CVE-2007-0244).
  * Avoid wrong document recovery attempt after fullscreen presentations
    in Impress. Closes LP: #90513.
  * Do not hide the OOo Draw menu item. Closes LP: #75478.
  * Fix icon style selection to not select a style which is not installed.
    Closes LP: #106186.

 -- Matthias Klose <email address hidden> Mon, 2 Jul 2007 14:49:53 +0200

Changed in openoffice.org:
status: Confirmed → Fix Released
Chris Cheney (ccheney) wrote :

openoffice.org (2.2.0-1ubuntu5) feisty; urgency=low

  * ooo-build/patches/src680/itiff.diff: fix tiff heap overflow
    (CVE-2007-2834)

openoffice.org (2.2.0-1ubuntu4) feisty-security; urgency=low

  * ooo-build/patches/src680/sw.rtf.prtdata.diff: fix RTF parser heap
    overflow (CVE-2007-0244).
  * Avoid wrong document recovery attempt after fullscreen presentations
    in Impress. Closes LP: #90513.
  * Do not hide the OOo Draw menu item. Closes LP: #75478.
  * Fix icon style selection to not select a style which is not installed.
    Closes LP: #106186.

openoffice.org (2.2.0-1ubuntu3) feisty; urgency=low

  * openoffice.org-style-crystal: Suggest (instead of recommending)
    kde-icons-crystal, crystalcursors. Ubuntu #104176.
  * openoffice.org-style-industrial: Suggest (instead of recommending)
    gtk2-engines, gnome-themes, industrial-cursor-theme.

openoffice.org (2.2.0-1ubuntu2) feisty; urgency=low

  * openoffice.org: Make openoffice.org-filter-binfilter a recommendation
    instead of a dependency to save space on the CD.

openoffice.org (2.2.0-1ubuntu1) feisty; urgency=low

  * Merge with Debian.
  * Update ooo-build.
  * openoffice.org-core: Recommend nfs-common. Ubuntu #64813.
  * Re-merge generic menu icons names. Ubuntu #99779.
  * Build using neon25. Ubuntu #92345.
  * Build using internal copy of xmlsec. Ubuntu #45801.
  * openoffice.org-common: Depend on desktop-file-utils. Ubuntu #70105.
  * openoffice.org-style-default: Build it as a transitional package.
    Ubuntu #102690.
  * Import Fedora fixes:
    - Fix crashes in Outliner::ImplHasBullet(). Ubuntu #96622.
  * Update ubuntu template documents.
  * Update human icon theme, contributed by Gabriel Hurley.

openoffice.org (2.2.0-1) experimental; urgency=low

  * 2.2.0 final release.
  * ooo-build:
    - update (r9112)
      + libpaper-support.diff, libpaper-link.diff: add (closes: #412067)
  * debian/rules:
    - follow upstreams mono pkg-config rename to mono-openoffice.pc
    - fix glibc 2.5 check
  * debian/control.in:
    - build-depend on libpaper-dev
    - fix duplicate Replaces: at -style-andromeda, thanks lintian
  * debian/ttf-opensymbol.post{inst,rm}.in: use fc-cache -fs
  * debian/libuno-cil.{prerm,postinst}.in: fix typo

 -- Chris Cheney <email address hidden> Tue, 2 Oct 2007 11:56:09 -0500

xtknight (xt-knight) wrote :

It's a problem in gutsy (at least amd64).

Changed in openoffice.org:
status: Fix Released → Confirmed
status: Confirmed → New

I've just installed a 7.10 version on a new computer and the shortcut to OOo Draw does exist in the "Graphics" menu by default.
Is this still an issue?

SK (skiani) wrote :

Resolved thanks!

--
=====================================
Sepehr (Sep) Kiani, Ph.D.
Email: <email address hidden>
http://pergatory.mit.edu/skiani
=====================================

On Wed, Mar 5, 2008 at 4:14 PM, Rodolphe Ortalo <email address hidden>
wrote:

> I've just installed a 7.10 version on a new computer and the shortcut to
> OOo Draw does exist in the "Graphics" menu by default.
> Is this still an issue?
>
> --
> No shortcut to OpenOffice::Draw
> https://bugs.launchpad.net/bugs/75478
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

xtknight (xt-knight) wrote :

Oh, maybe this is only present on older 7.10 installs then? (It's fixed on fresh 7.10 installs?)

Matt Zimmerman (mdz) wrote :

Reported fixed in 7.10, and confirmed fixed in Hardy here as well. Closing this report.

Changed in openoffice.org:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers